Index: SPECS/glibc.spec
===================================================================
--- SPECS.orig/glibc.spec
+++ SPECS/glibc.spec
@@ -20,6 +20,7 @@
 %define buildpower6 0
 %endif
 %define rtkaioarches %{ix86} x86_64 ia64 ppc ppc64 s390 s390x
+%define portsarches %{arm}
 %define debuginfocommonarches %{ix86} alpha alphaev6 sparc sparcv9
 %define _unpackaged_files_terminate_build 0
 Summary: The GNU libc libraries.
@@ -29,6 +30,7 @@ Release: %{glibcrelease}
 License: LGPL
 Group: System Environment/Libraries
 Source0: %{glibcsrcdir}.tar.bz2
+Source1: glibc-ports-%{glibcversion}.tar.bz2
 %if %{glibc_release_tarballs}
 Source1: %(echo %{glibcsrcdir} | sed s/glibc-/glibc-linuxthreads-/).tar.bz2
 Source2: %(echo %{glibcsrcdir} | sed s/glibc-/glibc-libidn-/).tar.bz2
@@ -278,6 +280,7 @@ package or when debugging this package.
 
 %prep
 %setup -q -n %{glibcsrcdir} %{glibc_release_unpack} -a3
+tar xfj %{SOURCE1} && mv glibc-ports-%{glibcversion} ports
 %patch0 -E -p1
 %ifarch ia64
 %if "%{_lib}" == "lib64"
@@ -908,6 +911,9 @@ AddOns=`echo */configure | sed -e 's!/co
 %ifarch %{rtkaioarches}
 AddOns=,rtkaio$AddOns
 %endif
+%ifarch %{portsarches}
+AddOns=,ports$AddOns
+%endif
 
 build_nptl()
 {
